/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { Logger } from 'pino';
import { IBaseConfiguration } from '../configuration';
import { Provider } from './Provider';
export declare class LoggerProvider<TConfiguration extends IBaseConfiguration> implements Provider<Logger> {
    private _config;
    private _logger;
    constructor(_config: TConfiguration);
    get(): Logger;
}
