"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IdentityRequestContextProvider = void 0;

class IdentityRequestContextProvider {
  async apply(ctx, request) {
    var _request$headers$auth;

    const {
      authenticator
    } = ctx.components;
    const identity = await authenticator.verifyToken((_request$headers$auth = request.headers.authorization) !== null && _request$headers$auth !== void 0 ? _request$headers$auth : null);
    return {
      identity
    };
  }

}

exports.IdentityRequestContextProvider = IdentityRequestContextProvider;