"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectCommon = void 0;

const __1 = require("..");
/**
 * Inject Boilerplace Components
 * @param container the DI container
 */


async function injectCommon(container) {
  container.register(__1.BaseInjectorNames.Logger, {
    useValue: container.resolve(__1.LoggerProvider).get()
  });
  container.register(__1.BaseInjectorNames.AppBuilder, {
    useValue: container.resolve(__1.AppBuilder)
  });
}

exports.injectCommon = injectCommon;